Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.gems.util
Class NoSuchMethodRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.picocontainer.PicoException
                      org.picocontainer.gems.util.NoSuchMethodRuntimeException

All Implemented Interfaces:
  Serializable

    public class NoSuchMethodRuntimeException

extends org.picocontainer.PicoException

Runtime exception version of `NoSuchMethodException`.

Author:
  Michael Rimov
See Also:
  Serialized Form

Constructor Summary
`NoSuchMethodRuntimeException()`
`NoSuchMethodRuntimeException(String message)`
`NoSuchMethodRuntimeException(String message, Throwable cause)`
`NoSuchMethodRuntimeException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchMethodRuntimeException

    public NoSuchMethodRuntimeException()

### NoSuchMethodRuntimeException

    public NoSuchMethodRuntimeException(String message)

Parameters:
  `message` -

### NoSuchMethodRuntimeException

    public NoSuchMethodRuntimeException(Throwable cause)

Parameters:
  `cause` -

### NoSuchMethodRuntimeException

    public NoSuchMethodRuntimeException(String message,
                                        Throwable cause)

Parameters:
  `message` -
  `cause` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.